<?php
require'f_descarcari.php';
require'f_conectare.php';
conectare('fișier '.$pnume,'fisier/id/'.$pid.'-'.seo($pinfo[3]));
$head[1]='descarca fișierul '.$pnume.' din albumul '.$fnume.', download fișier '.$pnume.' din albumul '.$fnume;
$titlu='Fișier '.$pnume.' - '.$fnume;
$head[3]='';
require'f_ext_img.php';
$extensie=@mb_strtolower(mb_substr(mb_strrchr(explode('?',$pinfo[4])[0],'.'),1));
if($is_pc>1&&($extensie=='mp3'||$extensie=='mp4'))
$head[3].='<script type="text/javascript" src="/img/css_js/jwplayer.js"></script><script type="text/javascript">jwplayer.key="buLcfiA6FcBvVOmrmbTEko49C8gem+8txvKviA==";</script>';
if($de==0)
$head[3].='<link rel="canonical" href="'.$adresasite[0].'/fisier/id/'.$pid.'-'.seo($pinfo[3]).'" />';
$melodia_zilei=$conn->query('SELECT COUNT(*)FROM`melodia_zilei`WHERE`id1`="'.$pid.'"||`id2`="'.$pid.'"||`id4`="'.$pid.'"||`id5`="'.$pid.'"')->fetch_row()[0];
$head[5]='<p style="text-align:center">'.($de>0||$melodia_zilei>0?'<a href="/descarca/id/'.$pid.'-'.seo($pinfo[3]).'/tip/descarcari">'.ext_img($extensie).'</a><a href="/descarca/id/'.$pid.'-'.seo($pinfo[3]).'/tip/descarcari"><img src="'.$domenii_statice[2].'download.png" alt="" width="16" height="16" />Descarcă '.$pnume.'</a>':ext_img($extensie).$pnume).'</p>';
require'f_sus.php';
echo$div[4].img('download.gif',1).'Fișier '.$pnume.' - '.$fnume.$div[5];
if($de==0&&$melodia_zilei==0)
echo$div[7].'Pentru a putea descărca acest fișier, trebuie să fi autentificat!<br /><a href="/informatii-avantaje-cont-membru-autentificat">'.img('regulament.png',1).'<span style="color:red">Informații avantaje cont membru autentificat</span></a>'.$div[0];
if($de!=$pinfo[1])
$conn->query('UPDATE`descarcari_fisiere`SET`vizualizari`=vizualizari+1 WHERE`id`="'.$pid.'"');
if($pinfo[12]>0)
{
require'f_dimensiune.php';
echo$div[1].'Dimensiune: <strong>'.dimensiune($pinfo[12]).'</strong>'.$div[0];
}
if($pinfo[13]>0)
{
require'f_ramas.php';
echo$div[1].'Durată: <strong>'.ramas($pinfo[13]).'</strong>'.$div[0];
}
if($pinfo[14]>0)
echo$div[1].'Rată de biți: <strong>'.$pinfo[14].'</strong> kbps'.$div[0];
if($is_pc>1&&($extensie=='mp3'||$extensie=='mp4'))
echo$div[1].'<div id="fisier_'.$pid.'">Playerul se încarcă...</div><script type="text/javascript">var playerInstance=jwplayer("fisier_'.$pid.'");playerInstance.setup({file:"'.$pinfo[4].'",width:"100%",title:"'.$pinfo[3].'",description:"'.$pinfo[5].'",image:"'.$adresasite[0].'/'.$conn->query('SELECT`link`FROM`imagini_iconite`WHERE`pid`="3"ORDER BY RAND()LIMIT 1')->fetch_row()[0].'"});jwplayer().controls(true);</script>'.$div[0];
if($de==$pinfo[1]||$perm>0)
echo$div[10].'Link:<br /><small>'.htmlspecialchars($pinfo[4]).'</small>'.$div[0];
require'f_profil.php';
echo$div[1].'Adăugat de: '.profil($pinfo[1]).$div[0];
if($pinfo[5]!='')
echo$div[1].'Descriere: <strong>'.$pinfo[5].'</strong>'.$div[0];
require'f_data.php';
echo$div[1].'Vizualizări: <strong>'.$pinfo[6].'</strong>'.$div[0].$div[1].'Descărcări: <strong>'.$pinfo[7].'</strong>'.$div[0].$div[1].'<small>Adaugat: '.data($pinfo[8]).'</small>'.$div[0].$div[1].'<small>BBCode: <strong>[url=/fisier/id/'.$pid.'-'.seo($pinfo[3]).']'.$pnume.'[/url]</strong></small>'.$div[0].$div[1].'Nu se descarcă, <a href="/raporteaza-fisier/id/'.$pid.'-'.seo($pinfo[3]).'">raportează-l</a>'.$div[0].$div[1];
$notare=$conn->query('SELECT COUNT(*)FROM`descarcari_note`WHERE`pid`="'.$pid.'"')->fetch_row()[0];
if($notare==0)
echo'Nu a fost notat încă!';
else
{
$rinfo=$conn->query('SELECT COUNT(*),SUM(`valoare`)FROM`descarcari_note`WHERE`pid`="'.$pid.'"')->fetch_row();
require'f_nota.php';
echo'Nota: <strong>'.nota(mb_substr(($rinfo[1]/$rinfo[0]),0,4)).'</strong>'.$div[0].$div[1].'Puncte: <strong>'.$rinfo[1].'</strong>'.$div[0].$div[1].'<a href="/note-fisier/id/'.$pid.'-'.seo($pinfo[3]).'">Voturi</a> <strong>'.number_format($notare).'</strong>';
}
echo$div[0];
if($conn->query('SELECT COUNT(*)FROM`descarcari_note`WHERE`de`="'.$de.'"&&`pid`="'.$pid.'"')->fetch_row()[0]==0)
{
if($pinfo[11]>0)
echo$div[1].'Daca notezi acest fișier, '.nume($pinfo[1]).' îți oferă suma de <strong>'.$pinfo[11].'</strong> lei!'.$div[0];
$form[0]='/noteaza-fisier/id/'.$pid.'-'.seo($pinfo[3]).'" method="post';
$form[1]=0;
require'f_scris3.php';
$form[2]=$div[1].'Noteaza acest fișier:<br />'.scris3('pmtext','1::2::3::4::5::6::7::8::9::10','10').$div[0];
$form[3]='pmtext';
$form[4]='Noteaza';
require'f_form.php';
}
else
{
$rinfo=$conn->query('SELECT`valoare`,`data`FROM`descarcari_note`WHERE`de`="'.$de.'"&&`pid`="'.$pid.'"')->fetch_row();
echo$div[1].'Tu i-ai acordat nota: <strong>'.$rinfo[0].'</strong><br /><small>Data: '.data($rinfo[1]).'</small>'.$div[0];
}
echo$div[1];
if($conn->query('SELECT COUNT(*)FROM`descarcari_aprecieri`WHERE`pid`="'.$pid.'"')->fetch_row()[0]==0)
echo'Nu a primit aprecieri încă!';
else
{
$aprecieri=$conn->query('SELECT COUNT(*)FROM`descarcari_aprecieri`WHERE`pid`="'.$pid.'"&&`valoare`="1"')->fetch_row();
$dezaprecieri=$conn->query('SELECT COUNT(*)FROM`descarcari_aprecieri`WHERE`pid`="'.$pid.'"&&`valoare`="2"')->fetch_row();
if($aprecieri[0]>0)
echo'<a href="/aprecieri-fisier/id/'.$pid.'-'.seo($pinfo[3]).'/tip/aprecieri"><strong>'.$aprecieri[0].'</strong> aprecieri</a>';
if($aprecieri[0]>0&&$dezaprecieri[0]>0)
echo'<strong> - </strong>';
if($dezaprecieri[0]>0)
echo'<a href="/aprecieri-fisier/id/'.$pid.'-'.seo($pinfo[3]).'/tip/dezaprecieri"><strong>'.$dezaprecieri[0].'</strong> dezaprecieri</a>';
}
echo$div[0].$div[1];
if($conn->query('SELECT COUNT(*)FROM`descarcari_aprecieri`WHERE`de`="'.$de.'"&&`pid`="'.$pid.'"')->fetch_row()[0]==0)
echo'<a href="/apreciaza-fisier/id/'.$pid.'-'.seo($pinfo[3]).'/tip/apreciaza"><img src="'.$domenii_statice[1].'apreciaza.png" alt="" width="16" height="16" />Apreciază</a><strong> - </strong><a href="/apreciaza-fisier/id/'.$pid.'-'.seo($pinfo[3]).'/tip/dezapreciaza"><img src="'.$domenii_statice[2].'dezapreciaza.png" alt="" width="16" height="16" />dezapreciază</a>';
else
{
$apreciere=$conn->query('SELECT`valoare`,`data`FROM`descarcari_aprecieri`WHERE`de`="'.$de.'"&&`pid`="'.$pid.'"')->fetch_row();
echo'Tu ai '.($apreciere[0]==1?'a':'deza').'preciat acest fișier - <small>'.data($apreciere[1]).'</small>';
}
echo$div[0].$div[1];
$comentarii=$conn->query('SELECT COUNT(*)FROM`descarcari_comentarii`WHERE`pid`="'.$pid.'"')->fetch_row();
if($comentarii[0]==0)
echo'Nu a fost comentat încă!';
else
echo'<a href="/comentarii-fisier/id/'.$pid.'-'.seo($pinfo[3]).'">'.img('download.gif',1).'Comentarii</a> <strong>'.number_format($comentarii[0]).'</strong>';
echo$div[0];
if($pinfo[10]>0)
echo$div[1].'Daca comentezi acest fișier, '.nume($pinfo[1]).' îți oferă suma de <strong>'.$pinfo[10].'</strong> lei!'.$div[0];
$form[0]='/comenteaza-fisier/id/'.$pid.'-'.seo($pinfo[3]).'" method="post';
$form[1]=0;
require'f_textarea.php';
$form[2]=$div[1].'Scrie comentariu:<br />'.textarea('pmtext').$div[0];
$form[3]='pmtext';
$form[4]='Adauga';
require'f_form.php';
$melodia_zilei=$conn->query('SELECT`data`FROM`melodia_zilei`WHERE`id1`="'.$pid.'"||`id2`="'.$pid.'"||`id4`="'.$pid.'"||`id5`="'.$pid.'"LIMIT 1')->fetch_row()[0];
if($melodia_zilei>0)
{
require'f_ziua.php';
echo$div[1].'Acest fișier a fost setat la <a href="/melodia-zilei/data/'.$melodia_zilei.'">melodia zilei în data de '.ziua($melodia_zilei).'</a>'.$div[0];
}
echo$div[1].'<a href="/seteaza-melodie-favorita/id/'.$pid.'-'.seo($pinfo[3]).'">'.img('administrare.png',1).'Seteaza acest fișier ca melodie favorita</a>'.$div[0];
$melodie_favorita=$conn->query('SELECT COUNT(*)FROM`membrii`WHERE`melodie_favorita`="'.$pid.'"')->fetch_row()[0];
if($melodie_favorita>0)
echo$div[1].'Fisier setat ca melodie favorita de <a href="/melodie-favorita/id/'.$pid.'-'.seo($pinfo[3]).'"><strong>'.$melodie_favorita.'</strong></a> membri'.$div[0];
require'f_like.php';
echo$div[1].distribuie('fisier/id/'.$pid.'-'.seo($pinfo[3]),$titlu).$div[0];
if($de==$pinfo[1]||$perm>0)
echo$div[1].'<a href="/editeaza-fisier/id/'.$pid.'-'.seo($pinfo[3]).'">'.img('administrare.png',1).'Editeaza acest fișier</a>'.$div[0];
if($perm>1)
echo$div[1].'<a href="/admin-combina-fisier-descarcari/id/'.$pid.'-'.seo($pinfo[3]).'">'.img('administrare.png',1).'Combină acest fișier</a>'.$div[0];
require'f_jos.php';